Subject: Re: bug#36492: c-mode fails with errors during fontification

From: Dmitry Gutov <[email-masked]>
Date: Mon, 8 Jul 2019 16:47:08 +0300

On 08.07.2019 15:53, Alan Mackenzie wrote:
>> I wonder if ignore-errors around font-lock-ensure in mm-display-inline-fontify
>> is still necessary to ensure no more bugs in other modes disrupt Gnus
>> by erroneous code in attachments?  Or maybe raising such errors will help
>> to find fontification bugs sooner?
> My feeling is that it's better to let the errors happen, so that we can
> debug them.  But on the other hand, it's not me that gets inconvenienced
> by such an error (I don't use gnus).

I'd like to second that.

And with similar errors taken care of, it might become feasible to use 
e.g. c-mode with mmm-mode.